<template>
  <div class="login-page">
      <div class="login-box">
          <div class="login-title">Login Citizen</div>
          <div class="login-form">
                <div class="err-block" v-if="error_msg.message">
                    <!-- {{ error_msg.message }} -->
                    Username or registration code not correct
                </div>
              <div class="form-group">
                  <label for="lastname">Lastname</label>
                  <input type="text" id="lastname" class="form-control" v-model="lastname">
              </div>
              <div class="form-group">
                  <label for="registration_code">Registration Code</label>
                  <input type="text" id="registration_code" class="form-control" v-model="registration_code">
              </div>
              <div class="form-group">
                  <button id="login" :disabled="isLoading" @click="actionLogin()" class="login-action">Login</button>
                  <button @click="$router.push({name: 'Home'})" class="login-back">Back To Home</button>
              </div>
          </div>
      </div>
  </div>
</template>

<script>
import { login } from '../api'

export default {
    name: "Login",
    data() {
        return {
            isLoading: false,
            error_msg: {},
            lastname: "Alvar",
            registration_code: "YZ4U26"
        }
    },
    methods: {
        actionLogin() {
            this.isLoading = true;
            login(this.lastname, this.registration_code).then(() => {
                this.isLoading = false;
                this.$router.push({name: "Home"})
            }).catch(data => {
                this.error_msg = data;
                this.isLoading = false;
            });
        }
    },
    created() {
        this.$emit("setBtn", {});
        this.$emit("changeTitle", "Login Citizen")
    }
}
</script>

<style>
.login-title {
    font-size: 30px;
}
.login-page {
    display: flex;
    justify-content: center;
}
label {
    display: block;
    text-align: left;
    margin: 10px 0;
}
.form-control {
    width: calc(100% - 20px);
    padding: 10px;
    font-size: 18px;
    color: #263238;
    border: 1px solid #263238;
    border-radius: 5px;
}
.login-box {
    text-align: center;
    width: 500px;
}
.login-form {
    padding: 10px;
    margin-top: 5px;
}
.login-action {
    width: 100%;
    padding: 10px 20px;
    margin-top: 10px;
    border-radius: 5px;
    border: none;
    background: rgb(0, 173, 0);
    color: white;
    font-weight: bold;
    cursor: pointer;
}
.login-action:hover {
    background: rgb(0, 110, 0);
}

.login-back {
    width: 100%;
    padding: 10px 20px;
    margin-top: 10px;
    border-radius: 5px;
    border: none;
    background: rgb(0, 183, 255);
    color: white;
    font-weight: bold;
    cursor: pointer;
}
.err-block {
    background: rgb(204, 98, 98);
    color: white;
    padding: 10px;
    border-radius: 5px;
    transition: all .5s;
}
</style>